# Uses of Enum
io.dapr.v1.DaprProtos.ActorRuntime.ActorRuntimeStatus

Packages that use DaprProtos.ActorRuntime.ActorRuntimeStatus
Package
Description
io.dapr.v1

## Uses of DaprProtos.ActorRuntime.ActorRuntimeStatus in io.dapr.v1

Methods in io.dapr.v1 that return DaprProtos.ActorRuntime.ActorRuntimeStatus
Modifier and Type
Method
Description
`static DaprProtos.ActorRuntime.ActorRuntimeStatus`
DaprProtos.ActorRuntime.ActorRuntimeStatus.`forNumber(int value)`
`DaprProtos.ActorRuntime.ActorRuntimeStatus`
DaprProtos.ActorRuntime.Builder.`getRuntimeStatus()`
Contains an enum indicating whether the actor runtime has been initialized.
`DaprProtos.ActorRuntime.ActorRuntimeStatus`
DaprProtos.ActorRuntime.`getRuntimeStatus()`
Contains an enum indicating whether the actor runtime has been initialized.
`DaprProtos.ActorRuntime.ActorRuntimeStatus`
DaprProtos.ActorRuntimeOrBuilder.`getRuntimeStatus()`
Contains an enum indicating whether the actor runtime has been initialized.
`static DaprProtos.ActorRuntime.ActorRuntimeStatus`
DaprProtos.ActorRuntime.ActorRuntimeStatus.`valueOf(int value)`
Deprecated.
`static DaprProtos.ActorRuntime.ActorRuntimeStatus`
DaprProtos.ActorRuntime.ActorRuntimeStatus.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.ActorRuntime.ActorRuntimeStatus`
DaprProtos.ActorRuntime.ActorRuntimeStatus.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.ActorRuntime.ActorRuntimeStatus[]`
DaprProtos.ActorRuntime.ActorRuntimeStatus.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.ActorRuntime.ActorRuntimeStatus
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.ActorRuntime.ActorRuntimeStatus>`
DaprProtos.ActorRuntime.ActorRuntimeStatus.`internalGetValueMap()`
Methods in io.dapr.v1 with parameters of type DaprProtos.ActorRuntime.ActorRuntimeStatus
Modifier and Type
Method
Description
`DaprProtos.ActorRuntime.Builder`
DaprProtos.ActorRuntime.Builder.`setRuntimeStatus(DaprProtos.ActorRuntime.ActorRuntimeStatus value)`
Contains an enum indicating whether the actor runtime has been initialized.